﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Cafe
{
    /// <summary>
    /// Логика взаимодействия для AddOnShiftPage.xaml
    /// </summary>
    public partial class AddOnShiftPage : Page
    {
        public AddOnShiftPage()
        {
            InitializeComponent();

            Waiter1.ItemsSource = DbConnect.gr672_SdaEntities1.User.Where(u => u.RoleId == 2).ToList();
            Waiter2.ItemsSource = DbConnect.gr672_SdaEntities1.User.Where(u => u.RoleId == 2).ToList();
            Cook.ItemsSource = DbConnect.gr672_SdaEntities1.User.Where(u => u.RoleId == 3).ToList();
        }

        private void AddOnShiftBtn_Click(object sender, RoutedEventArgs e)
        {
            try
            {
                var FirstWaiter = Waiter1.SelectedItem as User;
                var SecondWaiter = Waiter2.SelectedItem as User;
                var CookUser = Cook.SelectedItem as User;
                Shift shift1 = new Shift();
                shift1.DateOfShift = DateTime.Now;
                shift1.UserId = FirstWaiter.Id;
                shift1.IsActive = true;
                DbConnect.gr672_SdaEntities1.Shift.Add(shift1);
                Shift shift2 = new Shift();
                shift2.DateOfShift = DateTime.Now;
                shift2.UserId = SecondWaiter.Id;
                shift2.IsActive = true;
                DbConnect.gr672_SdaEntities1.Shift.Add(shift2);
                Shift shift3 = new Shift();
                shift3.DateOfShift = DateTime.Now;
                shift3.UserId = CookUser.Id;
                shift3.IsActive = true;
                DbConnect.gr672_SdaEntities1.Shift.Add(shift3);
                DbConnect.gr672_SdaEntities1.SaveChanges();
                MessageBox.Show("Users succesfully added on shift");
            }
            catch (Exception)
            {
                MessageBox.Show("Cant add users on shift");
            }
           
        }
    }
}
