﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Cafe
{
    /// <summary>
    /// Логика взаимодействия для AddUser.xaml
    /// </summary>
    public partial class AddUser : Page
    {
        public AddUser()
        {
            InitializeComponent();
        }

        private void RegistrateUserBtn_Click(object sender, RoutedEventArgs e)
        {
            try
            {
                User user = new User();
                user.Surname = Surname.Text;
                user.Name = Name.Text;
                user.Patronymic = Patronymic.Text;
                user.Login = Login.Text;
                user.Password = Password.Text;
                user.IsActive = true;
                user.RoleId = Convert.ToInt32(Role.Text);

                DbConnect.gr672_SdaEntities1.User.Add(user);
                DbConnect.gr672_SdaEntities1.SaveChanges();
                MessageBox.Show("User succefully added");
            }
            catch (Exception)
            {
                MessageBox.Show("Invalid data format");
            }
        }
    }
}
