﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Cafe
{
    /// <summary>
    /// Логика взаимодействия для AdminPage.xaml
    /// </summary>
    public partial class AdminPage : Page
    {
        public AdminPage(User user)
        {
            InitializeComponent();

            UserGrid.ItemsSource = DbConnect.gr672_SdaEntities1.User.ToList();
        }

        private void AddUserBtn_Click(object sender, RoutedEventArgs e)
        {
            FramePages.MainFrame.Navigate(new AddUser());
        }

        private void ChangeStatusBtn_Click(object sender, RoutedEventArgs e)
        {
            try
            {
                var selectedUser = UserGrid.SelectedItem as User;
                selectedUser.IsActive = !selectedUser.IsActive;

                DbConnect.gr672_SdaEntities1.SaveChanges();

                MessageBox.Show("Status succesfuly changed");
            }
            catch (Exception)
            {
                MessageBox.Show("User not selected");
            }
        }

        private void AddOnShiftBtn_Click(object sender, RoutedEventArgs e)
        {
            FramePages.MainFrame.Navigate(new AddOnShiftPage());
        }

        private void GetAllOrdersBtn_Click(object sender, RoutedEventArgs e)
        {
            FramePages.MainFrame.Navigate(new OrdersPage());
        }
    }
}
