﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Cafe
{
    /// <summary>
    /// Логика взаимодействия для CookPage.xaml
    /// </summary>
    public partial class CookPage : Page
    {
        public CookPage(User user)
        {
            InitializeComponent();
            OrderGrid.ItemsSource = DbConnect.gr672_SdaEntities1.Order.ToList();
        }

        private void ChangeStatusBtn_Click(object sender, RoutedEventArgs e)
        {
            try
            {
                var selectedOrder = OrderGrid.SelectedItem as Order;

                selectedOrder.IsReady = !selectedOrder.IsReady;

                DbConnect.gr672_SdaEntities1.SaveChanges();

                MessageBox.Show("Status succefully changed");

                OrderGrid.ItemsSource = DbConnect.gr672_SdaEntities1.Order.ToList();
            }
            catch (Exception)
            {
                MessageBox.Show("User not selected");
            }
        }
    }
}
